package inactivity

import "time"

type scenario struct {
	ExpectedInactive bool
	Data             []rxHistory
}

var scenarios = []scenario{
	{
		ExpectedInactive: true,
		Data: []rxHistory{
			{when: 0 * time.Second, RxBytes: 32},
			{when: 25 * time.Second, RxBytes: 32},
			{when: 50 * time.Second, RxBytes: 32},
			{when: 75 * time.Second, RxBytes: 32},
			{when: 100 * time.Second, RxBytes: 32},
			{when: 100 * time.Second, RxBytes: 92},
			{when: 150 * time.Second, RxBytes: 32},
			{when: 175 * time.Second, RxBytes: 32},
			{when: 200 * time.Second, RxBytes: 32},
			{when: 225 * time.Second, RxBytes: 32},
			{when: 250 * time.Second, RxBytes: 32},
			{when: 250 * time.Second, RxBytes: 92},
			{when: 300 * time.Second, RxBytes: 32},
			{when: 325 * time.Second, RxBytes: 32},
			{when: 350 * time.Second, RxBytes: 32},
			{when: 375 * time.Second, RxBytes: 32},
			{when: 375 * time.Second, RxBytes: 92},
			{when: 400 * time.Second, RxBytes: 32},
			{when: 425 * time.Second, RxBytes: 32},
			{when: 450 * time.Second, RxBytes: 32},
			{when: 475 * time.Second, RxBytes: 32},
			{when: 500 * time.Second, RxBytes: 32},
			{when: 500 * time.Second, RxBytes: 92},
			{when: 525 * time.Second, RxBytes: 32},
			{when: 550 * time.Second, RxBytes: 32},
			{when: 575 * time.Second, RxBytes: 32},
			{when: 600 * time.Second, RxBytes: 32},
			{when: 625 * time.Second, RxBytes: 32},
			{when: 625 * time.Second, RxBytes: 92},
			{when: 650 * time.Second, RxBytes: 32},
			{when: 675 * time.Second, RxBytes: 32},
			{when: 700 * time.Second, RxBytes: 32},
			{when: 725 * time.Second, RxBytes: 32},
			{when: 750 * time.Second, RxBytes: 32},
			{when: 750 * time.Second, RxBytes: 92},
			{when: 775 * time.Second, RxBytes: 32},
		},
	},
	{
		ExpectedInactive: true,
		Data: []rxHistory{
			//96
			{when: 0 * time.Second, RxBytes: 32},
			{when: 25 * time.Second, RxBytes: 32},
			{when: 50 * time.Second, RxBytes: 32},

			//212
			{when: 75 * time.Second, RxBytes: 32},
			{when: 100 * time.Second, RxBytes: 32},
			{when: 100 * time.Second, RxBytes: 148},

			//96
			{when: 125 * time.Second, RxBytes: 32},
			{when: 150 * time.Second, RxBytes: 32},
			{when: 175 * time.Second, RxBytes: 32},

			//212
			{when: 200 * time.Second, RxBytes: 32},
			{when: 225 * time.Second, RxBytes: 32},
			{when: 225 * time.Second, RxBytes: 148},

			//96
			{when: 250 * time.Second, RxBytes: 32},
			{when: 275 * time.Second, RxBytes: 32},
			{when: 300 * time.Second, RxBytes: 32},

			{when: 325 * time.Second, RxBytes: 32},
			{when: 350 * time.Second, RxBytes: 32},
			{when: 350 * time.Second, RxBytes: 148},

			{when: 375 * time.Second, RxBytes: 32},
			{when: 400 * time.Second, RxBytes: 32},

			{when: 425 * time.Second, RxBytes: 32},
			{when: 450 * time.Second, RxBytes: 32},
			{when: 475 * time.Second, RxBytes: 32},
			{when: 475 * time.Second, RxBytes: 148},

			{when: 500 * time.Second, RxBytes: 32},
			{when: 525 * time.Second, RxBytes: 32},

			{when: 550 * time.Second, RxBytes: 32},
			{when: 575 * time.Second, RxBytes: 32},
			{when: 600 * time.Second, RxBytes: 32},
			{when: 600 * time.Second, RxBytes: 148},

			{when: 625 * time.Second, RxBytes: 32},
			{when: 650 * time.Second, RxBytes: 32},

			{when: 675 * time.Second, RxBytes: 32},
			{when: 700 * time.Second, RxBytes: 32},

			{when: 725 * time.Second, RxBytes: 32},
			{when: 725 * time.Second, RxBytes: 148},
			{when: 750 * time.Second, RxBytes: 32},
		},
	},
	{
		// Rosenpass
		ExpectedInactive: true,
		Data: []rxHistory{
			{when: 0 * time.Second, RxBytes: 1200},
			{when: 0 * time.Second, RxBytes: 1200},
			{when: 0 * time.Second, RxBytes: 128},
			{when: 0 * time.Second, RxBytes: 1200},
			{when: 0 * time.Second, RxBytes: 128},
			{when: 0 * time.Second, RxBytes: 2},
			{when: 35 * time.Second, RxBytes: 32},
			{when: 60 * time.Second, RxBytes: 32},
			{when: 85 * time.Second, RxBytes: 32},
			{when: 110 * time.Second, RxBytes: 32},
			{when: 120 * time.Second, RxBytes: 1152},
			{when: 120 * time.Second, RxBytes: 92},
			{when: 120 * time.Second, RxBytes: 240},
			{when: 130 * time.Second, RxBytes: 1200},
			{when: 130 * time.Second, RxBytes: 32},
			{when: 130 * time.Second, RxBytes: 1200},
			{when: 130 * time.Second, RxBytes: 128},
			{when: 165 * time.Second, RxBytes: 32},
			{when: 190 * time.Second, RxBytes: 32},
			{when: 215 * time.Second, RxBytes: 32},
			{when: 240 * time.Second, RxBytes: 92},
			{when: 240 * time.Second, RxBytes: 1200},
			{when: 240 * time.Second, RxBytes: 128},
			{when: 260 * time.Second, RxBytes: 1200},
			{when: 260 * time.Second, RxBytes: 1200},
			{when: 260 * time.Second, RxBytes: 128},
			{when: 320 * time.Second, RxBytes: 32},
			{when: 345 * time.Second, RxBytes: 32},
			{when: 370 * time.Second, RxBytes: 92},
			{when: 370 * time.Second, RxBytes: 1200},
			{when: 370 * time.Second, RxBytes: 128},
			{when: 390 * time.Second, RxBytes: 1200},
			{when: 390 * time.Second, RxBytes: 128},
			{when: 450 * time.Second, RxBytes: 32},
			{when: 475 * time.Second, RxBytes: 32},
			{when: 500 * time.Second, RxBytes: 92},
			{when: 500 * time.Second, RxBytes: 1200},
			{when: 500 * time.Second, RxBytes: 128},
			{when: 520 * time.Second, RxBytes: 1200},
			{when: 520 * time.Second, RxBytes: 128},
		},
	},
	{
		ExpectedInactive: true,
		Data: []rxHistory{
			{when: 0 * time.Second, RxBytes: 1152},
			{when: 0 * time.Second, RxBytes: 1152},
			{when: 0 * time.Second, RxBytes: 240},
			{when: 0 * time.Second, RxBytes: 1152},
			{when: 1 * time.Second, RxBytes: 240},
			{when: 1 * time.Second, RxBytes: 2},
			{when: 11 * time.Second, RxBytes: 32},
			{when: 121 * time.Second, RxBytes: 1200},
			{when: 121 * time.Second, RxBytes: 148},
			{when: 121 * time.Second, RxBytes: 32},
			{when: 121 * time.Second, RxBytes: 128},
			{when: 131 * time.Second, RxBytes: 1152},
			{when: 131 * time.Second, RxBytes: 1152},
			{when: 131 * time.Second, RxBytes: 240},
			{when: 141 * time.Second, RxBytes: 32},
			{when: 191 * time.Second, RxBytes: 32},
			{when: 241 * time.Second, RxBytes: 1152},
			{when: 241 * time.Second, RxBytes: 148},
			{when: 241 * time.Second, RxBytes: 32},
			{when: 241 * time.Second, RxBytes: 240},
			{when: 251 * time.Second, RxBytes: 32},
			{when: 261 * time.Second, RxBytes: 1152},
			{when: 261 * time.Second, RxBytes: 1152},
			{when: 261 * time.Second, RxBytes: 240},
			{when: 271 * time.Second, RxBytes: 32},
			{when: 296 * time.Second, RxBytes: 32},
			{when: 371 * time.Second, RxBytes: 1152},
			{when: 371 * time.Second, RxBytes: 148},
			{when: 371 * time.Second, RxBytes: 32},
			{when: 371 * time.Second, RxBytes: 240},
			{when: 381 * time.Second, RxBytes: 32},
			{when: 391 * time.Second, RxBytes: 1152},
			{when: 391 * time.Second, RxBytes: 240},
			{when: 401 * time.Second, RxBytes: 32},
			{when: 426 * time.Second, RxBytes: 32},
			{when: 501 * time.Second, RxBytes: 1152},
			{when: 501 * time.Second, RxBytes: 148},
			{when: 501 * time.Second, RxBytes: 32},
			{when: 501 * time.Second, RxBytes: 240},
			{when: 511 * time.Second, RxBytes: 32},
			{when: 521 * time.Second, RxBytes: 1152},
			{when: 521 * time.Second, RxBytes: 240},
			{when: 531 * time.Second, RxBytes: 32},
			{when: 631 * time.Second, RxBytes: 1152},
			{when: 631 * time.Second, RxBytes: 148},
			{when: 631 * time.Second, RxBytes: 32},
			{when: 631 * time.Second, RxBytes: 240},
		},
	},
}
